Bug 4512 - [UPDATE REQUEST] digikam 4.3.0 -> 4.4.0
: [UPDATE REQUEST] digikam 4.3.0 -> 4.4.0
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 4587
  Show dependency treegraph
 
Reported: 2014-10-13 14:50 MSD by Andrey Bondrov
Modified: 2014-10-29 11:45 MSK (History)
3 users (show)

See Also:
RPM Package: digikam
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
andrey.bondrov: published+


Attachments
digikam.rar (2.64 MB, application/octet-stream)
2014-10-21 15:42 MSD, FirstLevel
Details
crash.txt (2.75 KB, text/plain)
2014-10-21 15:42 MSD, FirstLevel
Details
Screenshot while importing from camera (136.82 KB, application/zip)
2014-10-26 16:29 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2014-10-13 14:50:36 MSD
New version of Digikam was released.
Comment 1 Andrey Bondrov 2014-10-13 14:53:05 MSD
Advisory: "New version 4.4.0"

https://abf.rosalinux.ru/build_lists/2299140
https://abf.rosalinux.ru/build_lists/2299141
Comment 2 FirstLevel 2014-10-21 15:42:01 MSD
I have successfully updated and installed new packages of digikam for 32 and 64 bit versions.
1. There are many non-localizied items of menu.digikam.rar But many of them went from previous version of digikam.
2. On the 64bit system digikam is crashed after first install
crash.txt
Comment 3 FirstLevel 2014-10-21 15:42:22 MSD
Created attachment 3364 [details]
digikam.rar
Comment 4 FirstLevel 2014-10-21 15:42:36 MSD
Created attachment 3365 [details]
crash.txt
Comment 5 FirstLevel 2014-10-21 15:59:59 MSD
*******************************************************
2. On the 64bit system digikam is crashed after first install
crash.txt
*******************************************************
QA Denied
Comment 6 Andrey Bondrov 2014-10-21 18:58:30 MSD
Can you reproduce this crash?
Comment 7 FirstLevel 2014-10-21 21:25:02 MSD
(In reply to comment #6)
> Can you reproduce this crash?
Yes. I executed such scenario.
1. Install new package
2. launch digikam
3. Go through steps of the wizard
4. Wait some seconds after starting digikam
Comment 8 FirstLevel 2014-10-21 21:27:17 MSD
(In reply to comment #6)
> Can you reproduce this crash?

I should told that old version is crashed on exit too for me.
Comment 9 Vladimir Potapov 2014-10-22 06:36:04 MSD
Юля обещала еще перевод посмотреть.
Comment 10 Andrey Bondrov 2014-10-22 17:15:49 MSD
(In reply to comment #8)
> (In reply to comment #6)
> > Can you reproduce this crash?
> 
> I should told that old version is crashed on exit too for me.

Can you please check if you can reproduce the crash when you don't have kipi-plugins-videoslideshow installed?
Comment 11 FirstLevel 2014-10-22 20:49:25 MSD
(In reply to comment #10)
> (In reply to comment #8)
> > (In reply to comment #6)
> > > Can you reproduce this crash?
> > 
> > I should told that old version is crashed on exit too for me.
> 
> Can you please check if you can reproduce the crash when you don't have
> kipi-plugins-videoslideshow installed?

I have installed new digikam and remove kipi-plugins-videoslideshow.
After launching digikam and answering wizard questions I have waited for some minutes and digikam was crashed
-----

(digikam:5560): GStreamer-CRITICAL **: gst_element_request_pad: assertion 'templ != NULL' failed

(digikam:5560): GStreamer-CRITICAL **: gst_pad_link_full: assertion 'GST_IS_PAD (srcpad)' failed

(digikam:5560): GStreamer-CRITICAL **: gst_object_unref: assertion 'object != NULL' failed
WARNING: Phonon::createPath: Cannot connect  Phonon::MediaObject ( no objectName ) to  Phonon::VideoWidget ( no objectName ). 
QPainter::begin: Widget painting can only begin as a result of a paintEvent
QPainter::translate: Painter not active
QPainter::setClipRect: Painter not active
QPainter::font: Painter not active
QPainter::setFont: Painter not active
QPainter::setPen: Painter not active
QPainter::setFont: Painter not active
QPainter::fontMetrics: Painter not active
QPainter::setPen: Painter not active
QPainter::setBrush: Painter not active
QPainter::setFont: Painter not active
QPainter::fontMetrics: Painter not active
QPainter::setPen: Painter not active
QPainter::setBrush: Painter not active
Ошибка сегментирования (слепок снят)
[sergei@r4-64 ~]$
Comment 12 Vladimir Potapov 2014-10-23 03:15:56 MSD
I confirm the issue.
Comment 13 Andrey Bondrov 2014-10-23 09:22:39 MSD
(In reply to comment #12)
> I confirm the issue.

Only x86_64?

Can you please:

1. Install debuginfo package ( http://abf-downloads.rosalinux.ru/rosa2014.1/container/2299141/x86_64/debug_main/release/ )

2. Run digikam with gdb:
2.1. gdb digikam (in terminal)
2.2. run (in gdb)

3. Wait for crash/freeze

4. where (in gdb)

And then copy crash log here.

I cannot reproduce this crash with my i586 system, so let's hope remote debugging helps...
Comment 14 Vladimir Potapov 2014-10-23 12:15:31 MSD
warning: the debug information found in "/usr/lib/debug//usr/bin/digikam.debug" does not match "/usr/bin/digikam" (CRC mismatch).
Comment 15 Vladimir Potapov 2014-10-23 12:17:19 MSD
Program received signal SIGSEGV, Segmentation fault.
0x00007fffe9fbefc5 in g_slice_alloc () from /lib64/libglib-2.0.so.0
Comment 16 JDronova 2014-10-23 14:50:19 MSD
(In reply to comment #9)
> Юля обещала еще перевод посмотреть.

Не блокер, сделаю по ходу продвижения других багов локализации во фреше.
Comment 17 Vladimir Potapov 2014-10-23 16:57:42 MSD
Да, проверил, http://bugs.rosalinux.ru/show_bug.cgi?id=4574 решает проблему с запуском.
Comment 18 FirstLevel 2014-10-26 16:29:59 MSK
Created attachment 3382 [details]
Screenshot while importing from camera
Comment 19 FirstLevel 2014-10-26 16:30:34 MSK
I have another protion of untranslated text digikam-01.png.zip
Almost all info messages are not translated
Comment 20 FirstLevel 2014-10-26 16:32:12 MSK
I have checked work with camera. Digikam works good.
Comment 21 FirstLevel 2014-10-29 10:36:46 MSK
digikam-4.4.0-1

http://abf-downloads.rosalinux.ru/rosa2014.1/container/2299141/x86_64/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2299140/i586/main/release/

************************ Advisory **********************
"New version 4.4.0"
********************************************************
QA Verified